Name:		nagios-plugins-dnssec
Version:	0.1
Release:	1%{?dist}
Summary:	monitor DNSSEC validation for a given zone

Group:		System Environment/Daemons
License:	MIT
URL:		https://github.com/mrimann/check_dnssec_expiry
Source0:	https://github.com/mrimann/check_dnssec_expiry/archive/%{version}.tar.gz#/check_dnssec_expiry-%{version}.tar.gz
Packager:	Stuart D. Gathman <stuart@gathman.org>

Requires:	bind-utils
BuildArch:	noarch

%description
Goal of this plugin is to monitor DNSSEC validation for a given zone using a
DNSSEC validating resolver.

It covers the following cases:

    Resolver that doesn't validate DNSSEC signatures: emits a WARNING since the
environment for the other check is broken and needs to be fixed first (which
doesn't imply the signatures of that zone to be broken). This test is executed
against the zone dnssec-failed.org but you can override this and provide your
own always-failing zone.
    Unsigned zones: will emit a WARNING, as we expect this check to only be
actively executed against DNSSEC enabled/signed zones.
    Broken signature: will emit a CRITICAL, independent of whether the zone
could be resolvable on a resolver without DNSSEC validation.
    Expiry date of the RRSIG answer: the remaining lifetime is calculated and
depending on the remaining % of the total lifetime, an alert can be generated.
	emits a CRITICAL if the remaining percentage is < 10%
	emits a WARNING if the remaining percentage is < 20%
	emits an OK if none of the above match
    If there are multiple RRSIG entries with overlapping validity time-frames,
we're fine, if at least one of them fulfills the minimum remaining
lifetime check.
    is configurable via command line options, see table below

%prep
%setup -q -ncheck_dnssec_expiry-%{version}
sed -i -e '1,1 c\#!/bin/bash' check_dnssec_expiry.sh 

%build

%install
install -D check_dnssec_expiry.sh \
	%{buildroot}/%{_libdir}/nagios/plugins/check_dnssec_expiry.sh
install -D dnssec.cfg \
	%{buildroot}/%{_sysconfdir}/nagios/objects/dnssec.cfg

%files
%license LICENSE.md
%doc README.md
%{_sysconfdir}/nagios/objects/*
%{_libdir}/nagios/plugins/*

%changelog
* Fri Apr 26 2019 Stuart D. Gathman <stuart@gathman.org> 0.1-1
- Initial RPM
